Bug 226684 - Unexport llvm coverage symbols to fix build
Summary: Unexport llvm coverage symbols to fix build
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Kilzer (:ddkilzer)
URL:
Keywords: InRadar
Depends on: 226562
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-05 08:28 PDT by David Kilzer (:ddkilzer)
Modified: 2021-06-17 08:56 PDT (History)
3 users (show)

See Also:


Attachments
Patch v1 (2.77 KB, patch)
2021-06-05 08:33 PDT, David Kilzer (:ddkilzer)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2021-06-05 08:28:02 PDT
Unexport llvm coverage symbols to fix build

Even after the fix in r278444 for Bug 226562, some internal projects still failed to build during the GenerateTAPI build phase:

    error: headers don't have symbol '(weak-def) ___llvm_profile_filename'
    error: headers don't have symbol '(weak-def) ___llvm_profile_raw_version'
    error: headers don't have symbol '(weak-def) _lprofDirMode'

So instead of just ignoring these weak external symbols in check-for-weak-vtables-and-externals, we need to unexport them.
Comment 1 Radar WebKit Bug Importer 2021-06-05 08:28:26 PDT
<rdar://problem/78906691>
Comment 2 David Kilzer (:ddkilzer) 2021-06-05 08:33:16 PDT
Created attachment 430650 [details]
Patch v1
Comment 3 EWS 2021-06-06 07:47:41 PDT
Committed r278536 (238534@main): <https://commits.webkit.org/238534@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 430650 [details].
Comment 4 David Kilzer (:ddkilzer) 2021-06-17 08:55:08 PDT
(In reply to EWS from comment #3)
> Committed r278536 (238534@main): <https://commits.webkit.org/238534@main>

Follow-up fix for wrong comment character in Tools/coverage/coverage.xcconfig file:

Committed r278536: <https://trac.webkit.org/r278536>
Comment 5 David Kilzer (:ddkilzer) 2021-06-17 08:56:06 PDT
(In reply to David Kilzer (:ddkilzer) from comment #4)
> (In reply to EWS from comment #3)
> > Committed r278536 (238534@main): <https://commits.webkit.org/238534@main>
> 
> Follow-up fix for wrong comment character in
> Tools/coverage/coverage.xcconfig file:
> 
> Committed r278536: <https://trac.webkit.org/r278536>

Committed r278987: <https://trac.webkit.org/r278987>

(Copied and pasted the wrong commit revision!)